Skip to main content
GET
/
budgeting
/
categories
/
{id}
Get a budget category
curl --request GET \
  --url https://grosh.muathye.com/api/budgeting/categories/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "kind": "expense",
  "name": "<string>",
  "is_active": true,
  "account": {
    "id": "<string>",
    "name": "<string>",
    "code": "<string>",
    "type": "<string>",
    "is_active": true
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Successful response

id
string
kind
enum<string>
Available options:
expense,
income
name
string
is_active
boolean
account
object
created_at
string<date-time> | null
updated_at
string<date-time> | null